# ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > Class Template Reference

Forward const iterator for the ACE_Map_Manager. More...

`#include <Map_Manager.h>`

Inheritance diagram for ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >:

[legend]
List of all members.

## Public Member Functions

| ACE_Map_Const_Iterator (const ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > &mm, int pass_end=0)
int | advance (void)
void | dump (void) const
| Dump the state of an object.
ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > & | operator++ (void)
| Prefix advance.
ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > | operator++ (int)
| Postfix advance.
ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > & | operator-- (void)
| Prefix reverse.
ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > | operator-- (int)
| Postfix reverse.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

### template<class EXT_ID, class INT_ID, class ACE_LOCK>
class ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >

Forward const iterator for the ACE_Map_Manager.

This class does not perform any internal locking of the <ace_map_manager> it is iterating upon since locking is inherently inefficient and/or error-prone within an STL-style iterator. If you require locking, you can explicitly use an ACE_Guard or ACE_Read_Guard on the <ace_map_manager>'s internal lock, which is accessible via its <mutex> method.

## Constructor & Destructor Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::ACE_Map_Const_Iterator | ( | const ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > & | mm,
|  | int | pass_end = `0`
| ) |

## Member Function Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::advance | ( | void |  | ) |

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
void ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::operator++ | ( | int |  | ) |

| Postfix advance.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > & ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::operator++ | ( | void |  | ) |

| Prefix advance.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::operator-- | ( | int |  | ) |

| Postfix reverse.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK > & ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::operator-- | ( | void |  | ) |

| Prefix reverse.

## Member Data Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Map_Const_Iterator< EXT_ID, INT_ID, ACE_LOCK >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Map_Const_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >.

The documentation for this class was generated from the following files:

- Map_Manager.h
- Map_Manager.cpp
- Map_Manager.inl